#!/bin/bash

LEOPARDTOOLS=NO

# sudo /usr/local/texlive/2015basic/bin/universal-darwin/tlmgr option repository http://
# mirror.ctan.org/systems/texlive/tlnet

######################################################
# Manual preparation before running this...
#
# SAVE ORIGINAL /usr/local AND MOVE IT OUT OF THE WAY
# mv /usr/local /usr/local.save
#
# Install TeXLive-2015
#
# To install from svn,
#
#	cd
#	cd texlive/MASTER
#	sudo sh install-live.sh
#
# At the start of the install script, add binaries for both powerpc and intel.
#
# Change TEXDIR from /usr/local/texlive/2015 to /usr/local/texlive/2015basic
#
# Change TEXMFHOME from $HOME/texmf to $HOME/Library/texmf
# Change TEXMFVAR from $HOME/./texmf-var to ~/Library/texlive/2015basic/texmf-var
# Change TEXMFCONFIG from $HOME/texmf-config to ~/Library/texlive/2015basic/texmf-config
#
# Under "options", check ''use letter size'' and uncheck all other options
#
# Change the Installation scheme to "TeX Live Basic Scheme"
#
# Customize this scheme by noticing that "Essential programs and files" and "Basic LaTeX packages" are installed
# and adding to this "LaTeX recommended packages" and
# MetaPost (and Metafont) drawing" and "PSTricks packages" and "XeTeX macros"
#
# Install
#
# Notice that the script below makes further modifications before creating the package.
#
# Finally, we need to configure the distribution and make format files by running the commands below.
# This will be done in the postinstall script.
#
#	sudo bash
#	rm -R /usr/local/texlive/2015basic/texmf-local
#	PATH=/usr/local/texlive/2015basic/bin/i386-darwin:$PATH; export PATH
#	texconfig-sys paper letter
#	texconfig-sys dvips paper letter
#	texconfig-sys init
#
######################################################

# We're going to run this in the MacTeXDVD working directory...
WORK=`pwd`

echo "Checking that /usr/local content seems reasonable"
if [[ ! -d /usr/local/texlive/2016basic ]]; then
	echo "### error: main texlive directory is missing"
	exit 1
fi
 if [[ ! -x /usr/local/texlive/2016basic/bin/universal-darwin/pdflatex ]]; then
	echo "### error: pdfLaTeX is missing"
	exit 1
fi

# echo "Adding man symbolic link"
# ln -s ../../texmf/doc/man /usr/local/texlive/2016basic/bin/universal-darwin/man

echo "Removing old file tree at ${WORK}/root"
rm -rf ${WORK}/root

PATH=/usr/local/texlive/2016basic/bin/universal-darwin:$PATH; export PATH


# Remove the empty directory for local additions; this will be recreated by the postinstall script
rm -R /usr/local/texlive/2016basic/texmf-local


echo "Resetting tlmgr source"
/usr/local/texlive/2016basic/bin/universal-darwin/tlmgr option location http://mirror.ctan.org/systems/texlive/tlnet

# echo "Running texhash"
# /usr/local/texlive/2015basic/bin/universal-darwin/texhash


# Copy everything from /usr/local into our root
echo "Collecting files from /usr/local"
mkdir -p ${WORK}/root/usr/local/texlive
cp -pRf /usr/local/texlive ${WORK}/root/usr/local


# chmod
# echo "Changing permissions"
# chmod -R a+r ${WORK}/root/usr

# Ensure target directories we need for applications are present
chmod 755 ${WORK}/root/usr
chgrp wheel ${WORK}/root/usr



